#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

def mondai()
  eng = ["ほしい","望む","必要とする"]
  eng[rand(eng.length)]
end


puts"問題"

while true
  printf("%sは?\n", mondai)
  kotae = gets.chomp

  if kotae == "want"
    puts"正解"
    break
  else
    puts"残念…"
  end
end
